Index: www/config.php
===================================================================
--- www/config.php	(revision 977)
+++ www/config.php	(working copy)
@@ -15,7 +15,7 @@
 define("IA_CLIENT_CACHE_AGE", 604800);
 
 // maximum attachment size for wiki pages
-define("IA_ATTACH_MAXSIZE", 60*1024*1024);
+define("IA_ATTACH_MAXSIZE", 70*1024*1024);
 
 // maximum jobs to reeval
 define("IA_REEVAL_MAXJOBS", 512);
@@ -71,6 +71,6 @@
 
 // List of safe MIME types
 // FIXME: add more?
-$IA_SAFE_MIME_TYPES = array('image/jpeg', 'image/png', 'image/gif');
+$IA_SAFE_MIME_TYPES = array('image/jpeg', 'image/pjpeg', 'image/png', 'image/gif', 'image/x-ms-bmp');
 
 ?>
Index: www/controllers/monitor.php
===================================================================
--- www/controllers/monitor.php	(revision 977)
+++ www/controllers/monitor.php	(working copy)
@@ -19,7 +19,7 @@
     $view['jobs'] = job_get_range($view['filters'], $options['first_entry'], $options['display_entries']);
     $view['total_entries'] = job_get_count($view['filters']);
     $view['first_entry'] = $options['first_entry'];
-    $view['display_entries'] = request('display_entries', $options['display_entries']);
+    $view['display_entries'] = $options['display_entries'];
     $view['display_only_table'] = request('only_table', false);
 
     execute_view_die('views/monitor.php', $view);
Index: www/htaccess.sample
===================================================================
--- www/htaccess.sample	(revision 977)
+++ www/htaccess.sample	(working copy)
@@ -27,6 +27,6 @@
 php_value log_errors true
 php_value html_errors false
 php_value memory_limit "16M"
-php_value post_max_size "61M"
-php_value upload_max_filesize "60M"
+php_value post_max_size "71M"
+php_value upload_max_filesize "70M"
 
Index: www/static/css/screen.css
===================================================================
--- www/static/css/screen.css	(revision 977)
+++ www/static/css/screen.css	(working copy)
@@ -649,11 +649,11 @@
 }
 
 .compare-radio {
-    text-align : center;
+    text-align: center;
 }
 
-.compare-button {
-    float : right;
+.compare-button-container {
+    text-align: right;
 }
 
 /* user profile form */
Index: www/static/css/sitewide.css
===================================================================
--- www/static/css/sitewide.css	(revision 977)
+++ www/static/css/sitewide.css	(working copy)
@@ -261,6 +261,11 @@
     background-color: white;
 }
 
+table.fill-screen, table.fill-screen tr {
+    width: 99%;         /* Internet Explorer 6 doesn't like it when it's 100% */
+    margin: 0.5px auto;
+}
+
 /* datagrids */
 
 td.number, th.number, td.date, th.date {
Index: www/views/header.php
===================================================================
--- www/views/header.php	(revision 977)
+++ www/views/header.php	(working copy)
@@ -36,6 +36,9 @@
     <meta name="Description" content="Concursuri de programare, Stiri si articole de informatica, Comunitate online. Arhiva de probleme, Evaluare 24/24, Forum, Resurse educationale, Pregatire pentru olimpiada.">
     <meta name="keywords" content="Cocursuri, Informatica, Programare, Comunitate, Algoritmi, Articole, Evaluare, Pregatire">
     <meta name="verify-v1" content="j9UCDYvsDL2pLtkJDDkE4HnHVmXakgvz30vOyIJ+6cI=" />
+    <meta name="verify-v1" content="ac36ilLp6y4xp71sJgZEjFMgow6YCLkyQLrG/b2iT/Q=" />
+    <meta name="verify-v1" content="PQDTb5Advw297iADXVUYuxh0z+iQKfq1wtYWnfHCb1Y=" />
+    <meta name="verify-v1" content="GUKPcDm0TzwAR7r5xbagq576p/YWH9su/Ca4o8YlYBg=" /> <!--bogdan2412-->
 <?php
     }
 ?>
Index: www/views/listattach.php
===================================================================
--- www/views/listattach.php	(revision 977)
+++ www/views/listattach.php	(working copy)
@@ -102,6 +102,7 @@
             'pager_style' => 'standard',
             'show_count' => true,
             'show_display_entries' => true,
+            'css_class' => 'fill-screen',
         );
 
         echo format_table($view['attach_list'], $column_infos, $options);
Index: www/views/textblock_history.php
===================================================================
--- www/views/textblock_history.php	(revision 977)
+++ www/views/textblock_history.php	(working copy)
@@ -30,10 +30,10 @@
     if ($row['revision_id'] == $total_entries) {
         return '<strong>Ultima versiune</strong>';
     } else {
-        return  '['. format_link($diffurl, "Compara") .'] '.
+        return  '['. format_link($diffurl, "Compara cu ultima revizie") .'] '.
                 '['. format_post_link($resturl, "Inlocuieste") .'] '.
-                '['. format_link($viewurl, "Vezi") .'] '.
-                '['. format_link($delurl, "Sterge") .']';
+                '['. format_link($viewurl, "Vezi") .'] '/*.
+                '['. format_link($delurl, "Sterge") .']'*/;
     }
 }
 
@@ -118,16 +118,26 @@
 // because the form submit erases it from the url otherwise
 ?>
 <input type = "hidden" name = "action" value = "diff" />
+<div class="compare-button-container">
+<input
+    type = "submit"
+    value = "Compara versiunile selectate"
+    class = "button compare-button"
+/>
+</div>
 
 <?
+$options["css_class"] = "fill-screen";
 echo format_table($revisions, $column_infos, $options);
 ?>
 
+<div class="compare-button-container">
 <input
     type = "submit"
     value = "Compara versiunile selectate"
     class = "button compare-button"
 />
+</div>
 </form>
 
 <?php include('footer.php'); ?> 
